EntityEvents.hurt((event) => {

    let target = event.getEntity()
    if(event.source.getActual()) {



        let attacker = event.source.getPlayer()



        if(attacker.getMainHandItem().id == 'create_hazard:tesla_hammer') {
            target.potionEffects.add('minecraft:slowness', 80, 25)
        }
    }
    

});